package com.fuyuanshen.app.service;

import com.fuyuanshen.app.domain.AppDeviceVoice;
import com.fuyuanshen.app.domain.bo.AppDeviceVoiceBo;
import com.fuyuanshen.common.mybatis.core.page.TableDataInfo;
import com.fuyuanshen.common.mybatis.core.page.PageQuery;
import org.springframework.web.multipart.MultipartFile;

import java.util.Collection;
import java.util.List;

/**
 * 设备语音Service接口
 *
 * @author Lion Li
 * @date 2025-07-02
 */
public interface IAppDeviceVoiceService {

    /**
     * 查询设备语音
     */
    AppDeviceVoice queryById(Long id);

    /**
     * 查询设备语音列表
     */
    TableDataInfo<AppDeviceVoice> queryPageList(AppDeviceVoiceBo bo, PageQuery pageQuery);

    /**
     * 查询设备语音列表
     */
    List<AppDeviceVoice> queryList(AppDeviceVoiceBo bo);

    /**
     * 根据新增业务对象插入设备语音
     */
    Boolean insertByBo(AppDeviceVoiceBo bo, MultipartFile file);

    /**
     * 根据编辑业务对象更新设备语音
     */
    Boolean updateByBo(AppDeviceVoiceBo bo);

    /**
     * 校验并批量删除设备语音信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}